Import a supplier invoice file

post

/api/erp/integrations/resources/v1/payables/supplierInvoices/files/import

Uploads a file to the specified location in the object store and asynchronously processes the supplier invoice document for import into Payables interface tables.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - multipart/form-data ()
Root Schema : schema
Type: object
Show Source
Nested Schema : payload
Type: object
Additional Properties Allowed: true
Additional metadata provided to Document IO for processing the supplier invoice.
Back to Top

Response

Supported Media Types

200 Response

The supplier invoice import request was received successfully.
Body ()
Root Schema : schema
Type: object
Show Source
  • links
    Links associated with the supplier invoice import request.
  • Message describing the result of submitting the supplier invoice import request.
    Example: Request successfully received.
  • Unique request identifier or flow execution identifier assigned to the uploaded file. Use this value to track processing of the supplier invoice request.
    Example: 300100655797606
  • Status returned for the supplier invoice import request. A value of SUCCESS indicates that the asynchronous processing request was accepted.
    Example: SUCCESS
Nested Schema : links
Type: array
Links associated with the supplier invoice import request.
Show Source
Nested Schema : items
Type: object
Show Source

400 Response

Bad Request. The request parameters or uploaded file are invalid.

401 Response

Unauthorized. The bearer token is missing or invalid.

500 Response

An unexpected internal server error occurred.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top

Examples

The following example shows how to upload a supplier invoice file to Document IO by submitting a POST request on the REST resource using cURL.

curl --location 'https://servername.fa.us2.oraclecloud.com/api/erp/integrations/resources/v1/payables/supplierInvoices/files/import' \
--header 'Authorization: Bearer <Bearer Token>' \
--form 'file=@<FILEPATH>' \
--form 'payload=<METADATA>' \
--form 'flowCode=<@<FILEPATH>>'

Response Body Example

The following shows an example of the response body in JSON format.
{
    "status": "SUCCESS",
    "message": "Request successfully received.",
    "requestId": "300100655797606",
    "links": [
        {
            "rel": "collection",
            "href": "https://servername.fa.us2.oraclecloud.com/api/erp/integrations/resources/v1/payables/supplierInvoices/requests/300100655797606",
            "resourcePath": "/requests/300100655797606"
        }
    ]
}
Back to Top